Loading...
Searching...
No Matches
move_backward.hpp File Reference

## Typedefs

template<typename I , typename O >
using | ranges::move_backward_result = detail::in_out_result< I, O >

## Functions

template<typename I , typename S , typename O > requires bidirectional_iterator<I> && sentinel_for<S, I> && bidirectional_iterator<O> && indirectly_movable<I, O>
constexpr move_backward_result< I, O > | ranges::move_backward (I first, S end_, O out)
| function template `move_backward`
template<typename Rng , typename O > requires bidirectional_range<Rng> && bidirectional_iterator<O> && indirectly_movable<iterator_t<Rng>, O>
constexpr move_backward_result< borrowed_iterator_t< Rng >, O > | ranges::move_backward (Rng &&rng, O out)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.